ru.bitel.bgbilling.modules.tv.access.om.event

## Class OmTvAccountStateModifyEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.modules.tv.access.om.event.OmTvAccountStateModifyEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class OmTvAccountStateModifyEvent
      extends QueueEvent

  Задание что нужно изменить текущее состояние на устройстве.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `OmTvAccountStateModifyEvent()`
    `` | `OmTvAccountStateModifyEvent(int moduleId, int contractId, int userId, int deviceId, int tvAccountId, long connectionId, short state, int accessCode, boolean recheck)` Изменение состояния для соединения.
    `` | `OmTvAccountStateModifyEvent(int moduleId, int userId, TvAccount tvAccount, short state, int accessCode)` Изменение состояния для сервиса.
    `` | `OmTvAccountStateModifyEvent(int moduleId, int userId, TvAccount tvAccount, short state, int accessCode, boolean recheck)` Изменение состояния для сервиса.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAccessCode()`
    `int` | `getDeviceId()`
    `short` | `getState()`
    `int` | `getTvAccountId()`
    `protected void` | `prepareMessage(javax.jms.Message message)`
    `AccountOrderEvent` | `toOmEvent(ru.bitel.bgbilling.modules.tv.access.TvAccess access, ConnectionSet connectionSet, java.util.Date now)`
    `protected void` | `toString(java.lang.StringBuilder sb)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OmTvAccountStateModifyEvent

          protected OmTvAccountStateModifyEvent()

    - #### OmTvAccountStateModifyEvent

          public OmTvAccountStateModifyEvent(int moduleId,
                                             int userId,
                                             TvAccount tvAccount,
                                             short state,
                                             int accessCode)

      Изменение состояния для сервиса.
      Parameters:
        `moduleId` -
        `userId` -
        `tvAccount` -
        `state` -
        `accessCode` -

    - #### OmTvAccountStateModifyEvent

          public OmTvAccountStateModifyEvent(int moduleId,
                                             int userId,
                                             TvAccount tvAccount,
                                             short state,
                                             int accessCode,
                                             boolean recheck)

      Изменение состояния для сервиса.
      Parameters:
        `moduleId` -
        `userId` -
        `tvAccount` -
        `state` -
        `accessCode` -

    - #### OmTvAccountStateModifyEvent

          public OmTvAccountStateModifyEvent(int moduleId,
                                             int contractId,
                                             int userId,
                                             int deviceId,
                                             int tvAccountId,
                                             long connectionId,
                                             short state,
                                             int accessCode,
                                             boolean recheck)

      Изменение состояния для соединения.
      Parameters:
        `moduleId` -
        `contractId` -
        `userId` -
        `deviceId` -
        `tvAccountId` -
        `connectionId` -
        `state` -
        `accessCode` -

  - ### Method Detail

    - #### prepareMessage

          protected void prepareMessage(javax.jms.Message message)
                                 throws javax.jms.JMSException

      Overrides:
        `prepareMessage` in class `Event`
      Throws:
        `javax.jms.JMSException`

    - #### getDeviceId

          public int getDeviceId()

    - #### getTvAccountId

          public int getTvAccountId()

    - #### getState

          public short getState()

    - #### getAccessCode

          public int getAccessCode()

    - #### toString

          protected void toString(java.lang.StringBuilder sb)

      Overrides:
        `toString` in class `Event`

    - #### toOmEvent

          public AccountOrderEvent toOmEvent(ru.bitel.bgbilling.modules.tv.access.TvAccess access,
                                             ConnectionSet connectionSet,
                                             java.util.Date now)
                                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`